al[Any] = ...,
        replace_key_prefix: Optional[Any] = ...,
        http_redirect_code: Optional[Any] = ...,
    ): ...

class Condition(_XMLKeyValue):
    TRANSLATOR: Any
    key_prefix: Any
    http_error_code: Any
    def __init__(self, key_prefix: Optional[Any] = ..., http_error_code: Optional[Any] = ...) -> None: ...
    def to_xml(self): ...

class Redirect(_XMLKeyValue):
    TRANSLATOR: Any
    hostname: Any
    protocol: Any
    replace_key: Any
    replace_key_prefix: Any
    http_redirect_code: Any
    def __init__(
        self,
        hostname: Optional[Any] = ...,
        protocol: Optional[Any] = ...,
        replace_key: Optional[Any] = ...,
        replace_key_prefix: Optional[Any] = ...,
        http_redirect_code: Optional[Any] = ...,
    ) -> None: ...
    def to_xml(self): ...
PK